@layer base, carouselAndMarkers, carouselArrows;

.contenedor {
	padding:0px;
}

@layer carouselAndMarkers {
  .carousel_inicio {
    display: grid;
    grid-auto-columns: 100%;
    grid-auto-flow: column;
    overflow-x: auto;
    overscroll-behavior-x: contain;
    scroll-snap-type: x mandatory;
    scrollbar-width: none;
    margin: 0 auto;
    scroll-behavior: smooth;
    
    div {
      scroll-snap-stop: always;
      scroll-snap-align: start;
    }
    img {
      width: 100%;
      aspect-ratio: 16/9;
      object-fit: cover;
    }
  }
}

@layer carouselArrows {
  .carousel_inicio {
    anchor-name: --carousel;
	box-shadow: 0px 0px 15px #000;
    &::scroll-button(inline-end),
    &::scroll-button(inline-start) {
      cursor: pointer;
      position: absolute;
      position-anchor: --carousel;
      top: anchor(center);
      inset-inline: anchor(start) anchor(end);
      inline-size: 44px;
      aspect-ratio: 1;
      border: 1px solid rgba(0,0,0,0.25);
      border-radius: 50%;
      line-height: 1;
      content: "";
      background-color: rgb(255 255 255 / 0.1);
      background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 24 24' stroke-width='1.5' stroke='currentColor' class='size-6'%3E%3Cpath stroke-linecap='round' stroke-linejoin='round' d='M15.75 19.5 8.25 12l7.5-7.5' /%3E%3C/svg%3E%0A");
      background-size: 24px 24px;
      background-repeat: no-repeat;
      background-position: center;
      translate: 20px -50%;
      transition: background-color 0.5s ease-out;
	  z-index:100;
	  filter: invert(1);
    }

    &::scroll-button(inline-end) {
      top: anchor(center);
      inset-inline: auto anchor(end);
      content: "";
      background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 24 24' stroke-width='1.5' stroke='currentColor' class='size-6'%3E%3Cpath stroke-linecap='round' stroke-linejoin='round' d='m8.25 4.5 7.5 7.5-7.5 7.5' /%3E%3C/svg%3E%0A");
      translate: -20px -50%;
    }

    &::scroll-button(inline-end):where(:hover, :focus, :active),
    &::scroll-button(inline-start):where(:hover, :focus, :active) {
      background-color: rgb(255 255 255);
    }
  }
}

@layer base {

}
